CVE-2016-2817

MEDIUM

Description

The WebExtension sandbox feature in browser/components/extensions/ext-tabs.js in Mozilla Firefox before 46.0 does not properly restrict principal inheritance during chrome.tabs.create and chrome.tabs.update API calls, which allows remote attackers to conduct Universal XSS (UXSS) attacks via a crafted extension that accesses a (1) javascript: or (2) data: URL.

References

http://lists.opensuse.org/opensuse-security-announce/2016-05/msg00005.html

http://lists.opensuse.org/opensuse-updates/2016-05/msg00038.html

http://www.mozilla.org/security/announce/2016/mfsa2016-46.html

http://www.securitytracker.com/id/1035692

http://www.ubuntu.com/usn/USN-2936-1

http://www.ubuntu.com/usn/USN-2936-2

http://www.ubuntu.com/usn/USN-2936-3

https://bugzilla.mozilla.org/show_bug.cgi?id=1227462

https://security.gentoo.org/glsa/201701-15

Details

Source: MITRE

Published: 2016-04-30

Updated: 2017-07-01

Type: CWE-264

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: (AV:N/AC:M/Au:N/C:N/I:P/A:N)

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 5.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N

Impact Score: 2.5

Exploitability Score: 2.8

Severity: MEDIUM